import { DependencyList } from 'react';
import { UseActionHandlerHookData } from './useAsyncHandler';
export declare type FetchAction<DataResult> = Omit<UseActionHandlerHookData<DataResult>, 'onAction'> & {
    tries: number;
};
export interface FetchActionOptions {
    maxTries?: number;
    timeoutBeforeRetry?: number;
}
declare function useAsyncFetch<DataResult>(onActionFn: () => Promise<DataResult>, options?: FetchActionOptions, dependencies?: DependencyList): FetchAction<DataResult>;
declare function useAsyncFetch<DataResult>(onActionFn: () => Promise<DataResult>, options: FetchActionOptions): FetchAction<DataResult>;
declare function useAsyncFetch<DataResult>(onActionFn: () => Promise<DataResult>, dependencies: DependencyList): FetchAction<DataResult>;
export default useAsyncFetch;
